Invoice Management
Create Invoice
POST/invoices

Create invoice endpoint helps you create a new invoice. Invoices are always created in DRAFT status

Header Parameters

token*
string
Idempotency-Key
string

Body Parameters

customer_id*
string
amount*
number
store_id
string
tpn
string
invoice_url*
string
POST/invoices
1curl --location 'https://api.ipospays.tech/invoice-service/v1/invoices' \
2--header 'token: ' \
3--header 'Idempotency-Key: ' \
4--header 'Content-Type: application/json' \
5--data '{
6 "customer_id": "OGS1AN68JFR6H54",
7 "amount": 1050,
8 "store_id": "05cbaac8502f",
9 "tpn": "",
10 "invoice_url": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf"
11}'
Response

// Awaiting response…

Sample response
{
  "data": {
    "invoice_number": "2610267125NkqLPJLTT0",
    "customer_id": "AMLZT40Y2STSJYX",
    "amount": 1050,
    "status": "DRAFT",
    "store_id": "8b1523efdd22",
    "tpn": null,
    "invoice_url": "https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf",
    "payment_link_status": "NONE",
    "transactions": [],
    "created_at": "2026-10-26T07:01:25.000Z",
    "updated_at": "2026-10-26T07:01:25.000Z"
  },
  "message": "Invoice created successfully",
  "response_code": "SUCCESS",
  "status_code": 201,
  "request_id": "UAT-20261026070125-ZFWLSV",
  "timestamp": "2026-10-26T07:01:25.707Z"
}